Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CheckMenuItemSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::CheckMenuItem. More...

`#include <xfc/gtk/checkmenuitemsignals.hh>`

Inheritance diagram for Xfc::Gtk::CheckMenuItemSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_toggled ()
    Called when the state of the check box is changed. Call get_active() to discover the new state.

## Protected Member Functions

Constructors

- CheckMenuItemSignals (CheckMenuItem *check_menu_item)
    Construct a new CheckMenuItemSignals object.
- virtual ~CheckMenuItemSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::CheckMenuItem.

## Constructor & Destructor Documentation

Xfc::Gtk::CheckMenuItemSignals::CheckMenuItemSignals | ( | CheckMenuItem * | check_menu_item | ) | `[protected]`

Construct a new CheckMenuItemSignals object.

Parameters:

  | check_menu_item | A CheckMenuItem object inheriting the CheckMenuItemSignals implementation.

The documentation for this class was generated from the following file:

- checkmenuitemsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3